Jump to content
Sign in to follow this  
millan

libslang-utf8.so.1

Recommended Posts

Where i can get that library? I have a relatively new libslang and i mean it is complete...

Just when i try to run "runClient.sh" it writes just

</font><blockquote>code:</font><hr /><pre style="font-size:x-small; font-family: monospace;"> ./SpaceVikings: error while loading shared libraries: libslang-utf8.so.1: cannot open shared object file: No such file or directory </pre>

Share this post


Link to post
Share on other sites

hmm i just searched where that damn libslang is.

I found hi im the /usr/libs/ but there is only:

libslang.so

libslang.so.0

libslang.so.0.99.38

libslang.so.1

and libslang.so.1.3.5

I tryed to copy that libslang.1 to the DropTeam/lib

and rename it on the libslang.so.1-UTF8 and when i try to start it does the smae thing....

Share this post


Link to post
Share on other sites

You probably need the UTF8 version of that lib and you need to have libslang-utf8.so.1 not libslang.so.1-UTF8.

Which distribution do you have?

Share this post


Link to post
Share on other sites

ehh, it is private distro that made my dad, i mean you don`t know it, it is called Sinux

Where i can get the libslang-utf8.so.1? The sinux doesn`t have any packaging divece so i need the source.

Share this post


Link to post
Share on other sites

Sinux? Isn't that the chinese distro? smile.gif

I just checked with my linux box. I also don't have libslang UTF8 on the system and DT doesn't need it anyway.

Do 'ldd SpaceVikings' inside the bin directory. That will list all libs DT is linked to. Libslang is not in this list.

IMHO there is something else going wrong but I'm afraid this is beyond my knowledge. You probably have to ask your system supplier... ;)

Share this post


Link to post
Share on other sites

Heh the sinux is not chinese but czechish. :D

I tryed to run the SpaceVikings binnary and it needs another Lib:

SpaceVikings: error while loading shared libraries: libDemeter.so: cannot open shared object file: No such file or directory

Share this post


Link to post
Share on other sites

tried, it can`t find more libs:

linux-gate.so.1 => (0x0059e000)

libvorbisfile.so.3 => /opt/sound/lib/libvorbisfile.so.3 (0x00a70000)

libvorbisenc.so.2 => /opt/sound/lib/libvorbisenc.so.2 (0x00923000)

libvorbis.so.0 => /opt/sound/lib/libvorbis.so.0 (0x00bb8000)

libogg.so.0 => /opt/sound/lib/libogg.so.0 (0x00870000)

libspeex.so.1 => /opt/sound/lib/libspeex.so.1 (0x00ae0000)

libfreetype.so.6 => /opt/X11/lib/libfreetype.so.6 (0x00111000)

libDemeter.so => not found

libosgText.so => not found

libosgSim.so => not found

libosgDB.so => not found

libosgUtil.so => not found

libosg.so => not found

libSDL_net-1.2.so.0 => /opt/libSDL/lib/libSDL_net-1.2.so.0 (0x0021a000)

libSDL_image-1.2.so.0 => /opt/libSDL/lib/libSDL_image-1.2.so.0 (0x00d6c000)

libSDL-1.2.so.0 => /opt/libSDL/lib/libSDL-1.2.so.0 (0x004b6000)

libOpenThreads.so => not found

libGLEW.so.1.3 => not found

libGLU.so.1 => /opt/X11/lib/libGLU.so.1 (0x00422000)

libGL.so.1 => /opt/Nvidia/lib/libGL.so.1 (0x00266000)

libz.so.1 => /usr/lib/libz.so.1 (0x00dbf000)

libm.so.6 => /lib/libm.so.6 (0x0018f000)

libalut.so.0 => not found

libopenal.so.1 => not found

libpthread.so.0 => /lib/libpthread.so.0 (0x00e06000)

libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x005d8000)

libc.so.6 => /lib/libc.so.6 (0x002eb000)

libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x005e3000)

libpng.so.3 => /usr/lib/libpng.so.3 (0x00cba000)

libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00a2c000)

libtiff.so.3 => /usr/lib/libtiff.so.3 (0x00f6c000)

libasound.so.2 => /opt/alsa/lib/libasound.so.2 (0x00e52000)

libdl.so.2 => /lib/libdl.so.2 (0x001b6000)

libXext.so.6 => /opt/X11/lib/libXext.so.6 (0x00aa1000)

libX11.so.6 => /opt/X11/lib/libX11.so.6 (0x006d1000)

libGLcore.so.1 => /opt/Nvidia/lib/libGLcore.so.1 (0x00faf000)

libnvidia-tls.so.1 => /opt/Nvidia/lib/tls/libnvidia-tls.so.1 (0x00c28000)

/lib/ld-linux.so.2 (0x0059f000)

Share this post


Link to post
Share on other sites

ldd doesn't look for new libs, it justs lists the libs the aplication needs. libslang is not in this list but you still get the error.

This is a bit strange and my guess is that there is something wrong with the way your libs are set up.

But now I'm out of my depth and I can't help you anymore. I have to say that I use Ubuntu and DT worked out of the box.

Share this post


Link to post
Share on other sites
Originally posted by millan:

tried, it can`t find more libs:

...

libDemeter.so => not found

libosgText.so => not found

libosgSim.so => not found

libosgDB.so => not found

libosgUtil.so => not found

libosg.so => not found

...

These are supplied with the game. You won't get sane results from the ldd command unless you include the lib directory in the list of directories ldd searches.

So - switch to the directory where DropTeam's runClient.sh script is installed and enter:

</font><blockquote>code:</font><hr /><pre style="font-size:x-small; font-family: monospace;">export LD_LIBRARY_PATH=`pwd`/lib:${LD_LIBRARY_PATH}

ldd bin/SpaceVikings</pre>

Share this post


Link to post
Share on other sites
Originally posted by poesel71:

ldd doesn't look for new libs, it justs lists the libs the aplication needs. libslang is not in this list but you still get the error.

That means that one of the libraries that the application needs in turn needs other libraries. The linker sorts out all the required symbols and loads the appropriate libraries. Two libraries can even depend on each other and the linker will still get it right :)

Share this post


Link to post
Share on other sites

The strange thing is, the multiplayer betatest wotrked at all fine, i dont have before any proublems with a game. When the full version was up i stopped play the betatest cause it can`t be more used. After some time (Now) i want to play DT agin so i dowloaded the demo,installed and it wont work.... There must be some big changes in the DTs library reqierements.

Share this post


Link to post
Share on other sites
Originally posted by Toby Haynes:

</font><blockquote>quote:</font><hr />Originally posted by millan:

tried, it can`t find more libs:

...

libDemeter.so => not found

libosgText.so => not found

libosgSim.so => not found

libosgDB.so => not found

libosgUtil.so => not found

libosg.so => not found

...

These are supplied with the game. You won't get sane results from the ldd command unless you include the lib directory in the list of directories ldd searches.

So - switch to the directory where DropTeam's runClient.sh script is installed and enter:

</font><blockquote>code:</font><hr /><pre style="font-size:x-small; font-family: monospace;">export LD_LIBRARY_PATH=`pwd`/lib:${LD_LIBRARY_PATH}

ldd bin/SpaceVikings</pre>

Share this post


Link to post
Share on other sites
Sign in to follow this  

×
×
  • Create New...